package com.yunzhi.nanyang.common;

public class Constants {
    public final static String ADMIN_ID = "1";

    public final static int STATUS_DELETE = -1;
    public final static int STATUS_READY = 0;
    public final static int STATUS_NORMAL = 1;

    // 客户端类型
    public final static String CLIENT_WORKER = "worker";    // 农机手
    public final static String CLIENT_FARMER = "farmer";    // 农户

    // 资源类型
    public final static String TARGET_MACHINERY = "machinery";  // 农机
    public final static String TARGET_NEWS = "news";    // 资讯

    // 支付状态
    public final static int PAY_READY = 0;  // 待支付
    public final static int PAY_PAID = 1;  // 已支付
    public final static int PAY_REFUND = -1;  // 已退款

    // 是否调度
    public final static int DISPATCH_READY = 0; // 待调度
    public final static int DISPATCH_DONE = 1; // 已调度

    // 工作状态
    public final static int WORK_READY = 0;   // 预备中
    public final static int WORK_DOING = 1;   // 工作中
    public final static int WORK_PAUSE = 2;   // 暂停
    public final static int WORK_DONE = 3;   // 已完成

}
