package com.yunzhi.nanyang.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.SysUser;
import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.entity.TaPerson;

/**
 * <p>
 * 订单表 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
public interface ITaOrderService extends IBaseService<TaOrder> {

    String getNextOrderNO();

    IPage<TaOrder> getAdminPage(IPage<TaOrder> pg, Boolean isNotDispatched, SysUser sysUser);

    IPage<TaOrder> getClientPage(IPage<TaOrder> pg, TaPerson taPerson, SysUser sysUser, Integer workStatus, String q);

    boolean updateStatus(String orderId, String statusColumn, int statusValue);
}
